Inhalte

# Operator Mod

Der Operator MOD gibt aus zwei numerischen Ausdrücken den Rest der Division zurück.

Beispielsweise ist 3 das Ergebnis von 21 MOD 6, weil nach dem Dividieren von 21 durch 6 der Rest der Division 3 ist.

Wenn die Operation MOD nicht ganzzahlige Werte umfasst, werden beide Operanden auf die nächsten ganzzahligen Werte gerundet. Daher ist der von einer Operation MOD zurückgegebene Wert immer eine ganze Zahl.

Beispielsweise wird der Ausdruck 16.4 MOD 5.9 wie folgt ausgewertet:

1. Der Wert 16.4 wird auf 16 gerundet.

2. Der Wert 5.9 wird auf 6 gerundet.

3. Die Operation 16 MOD 6 gibt 4 zurück, welcher der Rest der Division von 16 durch 6 ist.

Beachten Sie, dass Basics Operator MOD und Calcs Funktion REST sich unterschiedlich verhalten. In Calc können beide Operanden Dezimalzahlen sein und sie werden nicht vor der Division gerundet. Daher kann der resultierende Rest ein Dezimalwert sein.

### Syntax:

    Ergebnis = Ausdruck1 MOD Ausdruck2

### Rückgabewert:

Integer

### Parameter:

Ergebnis: Eine numerische Variable, die das Ergebnis der Operation MOD enthält.

Ausdruck1, Ausdruck2: Numerische Ausdrücke, für die Sie den Rest nach der Division von Ausdruck1 durch Ausdruck2 berechnen möchten.

### Beispiel:

    Sub ExampleMod
        Dim a As Double, b as Double
        a = 10 : b = 4
        Print a Mod b ' Gibt 2 zurück
        a = 18 : b = 3.2
        Print a Mod b ' Gibt 0 zurück
        a = 16.4 : b = 5.9
        Print a Mod b ' Gibt 4 zurück
    End Sub

Verwandte Themen

Funktion Rest